/*
 * DB.java
 *
 * Created on 17. duben 2007, 11:45
 *
 * Customize this class in order to establish a working DB connection
 */

package link;

/**
 * Database class wrapper
 */
public class DB {
    
    private static DB instance = null;
    
    /**
     * Database connection
     */
    public java.sql.Connection conn;
    /**
     * Established connection
     */
    public java.sql.Statement stat = null;
    
    /** Creates a new instance of DB */
    private DB() throws java.sql.SQLException {
        new org.gjt.mm.mysql.Driver();
        conn = java.sql.DriverManager.getConnection("jdbc:mysql://127.0.0.1/euroinzerce2","root","root");
    }
    
    /**
     * Returns wrapper instance (singleton).
     * @throws java.sql.SQLException If a connection cannot be established.
     * @return DB instance
     */
    public static java.sql.Statement getInstance() throws java.sql.SQLException {
        
        if (instance==null) {
            instance = new DB();
        }
        
        if (instance.stat==null) {
            instance.stat = instance.conn.createStatement();
        }
        
        return instance.stat;
    }    
}
